> For the complete documentation index, see [llms.txt](https://create.cloud4wi.ai/dev-hub/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://create.cloud4wi.ai/dev-hub/api-reference/getting-started/events.md).

# Events

The Events endpoint allows you to retrieve all the Contact's location events and application events from your Cloud4Wi account.

List of Events:

* "**signup**": a Contact is created in your Cloud4Wi account, either when a person signs up from the guest WiFi, a Kiosk or via APIs&#x20;
* "**visit**": a Contact leaves a location after a visit. The event includes the visit metadata such as location and durations
* "**login**": a Contact authenticates to a WiFi network, either on the guest WiFi, WPA2-Enterprise or Passpoint
* "**promo**": a Contact clicks on a call to action in the Promo Page interstitial content. See [Promo Page documentation](https://cloud4wi.zendesk.com/hc/en-us/articles/360018717751-Promo-Page-with-call-to-action).
* "**survey**": a Contact responds to a survey. See [Survey documentation](https://cloud4wi.zendesk.com/hc/en-us/articles/360043569351-Surveys)
* "**send\_email**": an email has been sent via [Campaign](https://cloud4wi.zendesk.com/hc/en-us/articles/360058448952-Campaigns)
* "**open\_email**": an email sent via [Campaign](https://cloud4wi.zendesk.com/hc/en-us/articles/360058448952-Campaigns) has been opened
* "**click\_email**": a [trackable link](https://cloud4wi.zendesk.com/hc/en-us/articles/4412220765069-Simplified-Click-tracking-in-Campaigns) of an email sent via [Campaign](https://cloud4wi.zendesk.com/hc/en-us/articles/360058448952-Campaigns) has been clicked
* "**send\_sms**": an SMS has been sent via [Campaign](https://cloud4wi.zendesk.com/hc/en-us/articles/360058448952-Campaigns)
* "**click\_sms**": a [trackable link](https://cloud4wi.zendesk.com/hc/en-us/articles/4412220765069-Simplified-Click-tracking-in-Campaigns) of an SMS sent via [Campaign](https://cloud4wi.zendesk.com/hc/en-us/articles/360058448952-Campaigns) has been clicked

### Endpoints

{% openapi src="<https://developers.cloud4wi.com/api-explore-inspector/api-explore.yml>" path="/v1/organizations/{cid}/events" method="get" %}
<https://developers.cloud4wi.com/api-explore-inspector/api-explore.yml>
{% endopenapi %}

{% openapi src="<https://developers.cloud4wi.com/api-explore-inspector/api-explore.yml>" path="/v1/organizations/{cid}/customers/{id}/events" method="get" %}
<https://developers.cloud4wi.com/api-explore-inspector/api-explore.yml>
{% endopenapi %}

###

### Data example

Example of the response of the endpoint <https://explore.cloud4wi.com//v1/organizations/{cid}/events>

```json
{
  "generated": "2022-11-15T15:50:54Z",
  "count": 20,
  "events": [
    {
      "organizationId": "155d60f21dc1938562900a0e201d54f6",
      "customerId": "f4c6be2cebc56bf4b8a16a2d463d5b60",
      "event": {
        "type": "arriving",
        "id": "bd849965350413bc81e19aa5ff1be7ebl"
      },
      "where": {
        "locationId": "ff808081803ff92a01821d4cfd856805",
        "locationName": "Ivan Home",
        "hotspotId": "5da63f1da1f3a290306314b6273d6382"
      },
      "when": {
        "createdAt": "2022-07-21T18:41:09Z",
        "createdAtLocal": "2022-07-21T11:41:09Z",
        "timezone": "America/Los_Angeles"
      }
    },
    {
      "organizationId": "155d60f21dc1938562900a0e201d54f6",
      "customerId": "f4c6be2cebc56bf4b8a16a2d463d5b60",
      "event": {
        "type": "login",
        "id": "9e6391ce506c7ee7eb4c689b622feed3l"
      },
      "where": {
        "locationId": "ff808081803ff92a01821d4cfd856805",
        "locationName": "Ivan Home",
        "hotspotId": "5da63f1da1f3a290306314b6273d6382"
      },
      "when": {
        "createdAt": "2022-07-21T18:41:09Z",
        "createdAtLocal": "2022-07-21T11:41:09Z",
        "timezone": "America/Los_Angeles"
      }
    },
    {
      "organizationId": "155d60f21dc1938562900a0e201d54f6",
      "customerId": "f4c6be2cebc56bf4b8a16a2d463d5b60",
      "event": {
        "type": "login",
        "id": "a419b0bef205cb25a7615011ecf72940l"
      },
      "where": {
        "locationId": "ff808081803ff92a01821d4cfd856805",
        "locationName": "Ivan Home",
        "hotspotId": "5da63f1da1f3a290306314b6273d6382"
      },
      "when": {
        "createdAt": "2022-07-21T18:41:30Z",
        "createdAtLocal": "2022-07-21T11:41:30Z",
        "timezone": "America/Los_Angeles"
      }
    },
    {
      "organizationId": "155d60f21dc1938562900a0e201d54f6",
      "customerId": "f4c6be2cebc56bf4b8a16a2d463d5b60",
      "event": {
        "type": "login",
        "id": "de2d683824f367234fe7734a4246cd32l"
      },
      "where": {
        "locationId": "ff808081803ff92a01821d4cfd856805",
        "locationName": "Ivan Home",
        "hotspotId": "5da63f1da1f3a290306314b6273d6382"
      },
      "when": {
        "createdAt": "2022-07-21T18:53:49Z",
        "createdAtLocal": "2022-07-21T11:53:49Z",
        "timezone": "America/Los_Angeles"
      }
    },
    {
      "organizationId": "155d60f21dc1938562900a0e201d54f6",
      "customerId": "f4c6be2cebc56bf4b8a16a2d463d5b60",
      "event": {
        "type": "login",
        "id": "4578cad147be31ceb6c5417f5439f8b2l"
      },
      "where": {
        "locationId": "ff808081803ff92a01821d4cfd856805",
        "locationName": "Ivan Home",
        "hotspotId": "5da63f1da1f3a290306314b6273d6382"
      },
      "when": {
        "createdAt": "2022-07-21T18:53:49Z",
        "createdAtLocal": "2022-07-21T11:53:49Z",
        "timezone": "America/Los_Angeles"
      }
    },
    {
      "organizationId": "155d60f21dc1938562900a0e201d54f6",
      "customerId": "f4c6be2cebc56bf4b8a16a2d463d5b60",
      "event": {
        "type": "visit",
        "id": "de8a7434d907e640cf1e80c347a420bel",
        "visit": {
          "startAt": "2022-07-21T18:41:09Z",
          "startAtLocal": "2022-07-21T11:41:09Z",
          "timezone": "America/Los_Angeles",
          "duration": 15
        }
      },
      "where": {
        "locationId": "ff808081803ff92a01821d4cfd856805",
        "locationName": "Ivan Home"
      },
      "when": {
        "createdAt": "2022-07-21T18:56:23Z",
        "createdAtLocal": "2022-07-21T11:56:23Z",
        "timezone": "America/Los_Angeles"
      }
    },
    {
      "organizationId": "155d60f21dc1938562900a0e201d54f6",
      "customerId": "f4c6be2cebc56bf4b8a16a2d463d5b60",
      "event": {
        "type": "arriving",
        "id": "998ce4b66e5de87acf2241876f5dec52l"
      },
      "where": {
        "locationId": "ff808081803ff92a01821d4cfd856805",
        "locationName": "Ivan Home",
        "hotspotId": "5da63f1da1f3a290306314b6273d6382"
      },
      "when": {
        "createdAt": "2022-07-21T19:52:38Z",
        "createdAtLocal": "2022-07-21T12:52:38Z",
        "timezone": "America/Los_Angeles"
      }
    },
    {
      "organizationId": "155d60f21dc1938562900a0e201d54f6",
      "customerId": "f4c6be2cebc56bf4b8a16a2d463d5b60",
      "event": {
        "type": "login",
        "id": "4bd9bbe6e3e084adee2ffe73c88bd10fl"
      },
      "where": {
        "locationId": "ff808081803ff92a01821d4cfd856805",
        "locationName": "Ivan Home",
        "hotspotId": "5da63f1da1f3a290306314b6273d6382"
      },
      "when": {
        "createdAt": "2022-07-21T19:52:38Z",
        "createdAtLocal": "2022-07-21T12:52:38Z",
        "timezone": "America/Los_Angeles"
      }
    },
    {
      "organizationId": "155d60f21dc1938562900a0e201d54f6",
      "customerId": "f4c6be2cebc56bf4b8a16a2d463d5b60",
      "event": {
        "type": "login",
        "id": "972c9bc632809246f7a3e03dfbbf83f7l"
      },
      "where": {
        "locationId": "ff808081803ff92a01821d4cfd856805",
        "locationName": "Ivan Home",
        "hotspotId": "5da63f1da1f3a290306314b6273d6382"
      },
      "when": {
        "createdAt": "2022-07-21T22:56:42Z",
        "createdAtLocal": "2022-07-21T15:56:42Z",
        "timezone": "America/Los_Angeles"
      }
    },
    {
      "organizationId": "155d60f21dc1938562900a0e201d54f6",
      "customerId": "f4c6be2cebc56bf4b8a16a2d463d5b60",
      "event": {
        "type": "login",
        "id": "486e6dd99a9baf7528f9635ccc14a2b3l"
      },
      "where": {
        "locationId": "ff808081803ff92a01821d4cfd856805",
        "locationName": "Ivan Home",
        "hotspotId": "5da63f1da1f3a290306314b6273d6382"
      },
      "when": {
        "createdAt": "2022-07-21T23:06:15Z",
        "createdAtLocal": "2022-07-21T16:06:15Z",
        "timezone": "America/Los_Angeles"
      }
    },
    {
      "organizationId": "155d60f21dc1938562900a0e201d54f6",
      "customerId": "f4c6be2cebc56bf4b8a16a2d463d5b60",
      "event": {
        "type": "signup",
        "id": "05ef4b6d8f936b36ce0c3f71c40494cdl",
        "signup": {
          "source": "wifi"
        }
      },
      "where": {
        "locationId": "ff808081803ff92a01821d4cfd856805",
        "locationName": "Ivan Home",
        "hotspotId": "5da63f1da1f3a290306314b6273d6382"
      },
      "when": {
        "createdAt": "2022-06-15T11:10:13Z",
        "createdAtLocal": "2022-06-15T13:10:13Z",
        "timezone": "America/Los_Angeles"
      }
    },
    {
      "customerId": "8e62ca2305981e75854dcba1b6491bf5",
      "event": {
        "type": "geo_visit",
        "id": "85bf512b7ff0466143dfbdd1ad0cdefdg",
        "visit": {
          "startAt": "2022-10-04T15:37:24Z",
          "startAtLocal": "2022-10-04T17:37:24Z",
          "timezone": "Europe/Rome",
          "duration": 0,
          "properties": {
            "appId": "62d86f755d146f00012297ea",
            "appBundle": "com.cloud4wi.toolkit",
            "projectId": "62d86f0068c4fc0001c4d63f",
            "appOs": "android"
          }
        }
      },
      "where": {
        "geofenceName": "Emi home",
        "geofenceMetadata": [],
        "geofenceId": "968bb2b8184f46af916e27aa619791f2",
        "geofenceExtId": "Emilia",
        "geofenceJSON": {
          "type": "Circle",
          "coordinates": [
            10.517064,
            43.675929
          ],
          "radius": 100
        }
      },
      "when": {
        "createdAt": "2022-10-04T15:37:39Z",
        "createdAtLocal": "2022-10-04T17:37:39Z",
        "timezone": "Europe/Rome"
      }
    },
    {
      "customerId": "8e62ca2305981e75854dcba1b6491bf5",
      "event": {
        "type": "geo_arriving",
        "id": "9b534ae5c33e6bfc25b1ad768c979384g",
        "visit": {
          "startAt": "2022-10-04T15:42:49Z",
          "startAtLocal": "2022-10-04T17:42:49Z",
          "timezone": "Europe/Rome",
          "properties": {
            "appId": "62d86f755d146f00012297ea",
            "appBundle": "com.cloud4wi.toolkit",
            "projectId": "62d86f0068c4fc0001c4d63f",
            "appOs": "android"
          }
        }
      },
      "where": {
        "geofenceName": "Emi home",
        "geofenceMetadata": [],
        "geofenceId": "968bb2b8184f46af916e27aa619791f2",
        "geofenceExtId": "Emilia",
        "geofenceJSON": {
          "type": "Circle",
          "coordinates": [
            10.517064,
            43.675929
          ],
          "radius": 100
        }
      },
      "when": {
        "createdAt": "2022-10-04T15:42:49Z",
        "createdAtLocal": "2022-10-04T17:42:49Z",
        "timezone": "Europe/Rome"
      }
    },
    {
      "customerId": "8e62ca2305981e75854dcba1b6491bf5",
      "event": {
        "type": "geo_visit",
        "id": "e0679cb0c6e3bc2aac64b0639cc9b967g",
        "visit": {
          "startAt": "2022-10-04T15:42:49Z",
          "startAtLocal": "2022-10-04T17:42:49Z",
          "timezone": "Europe/Rome",
          "duration": 0,
          "properties": {
            "appId": "62d86f755d146f00012297ea",
            "appBundle": "com.cloud4wi.toolkit",
            "projectId": "62d86f0068c4fc0001c4d63f",
            "appOs": "android"
          }
        }
      },
      "where": {
        "geofenceName": "Emi home",
        "geofenceMetadata": [],
        "geofenceId": "968bb2b8184f46af916e27aa619791f2",
        "geofenceExtId": "Emilia",
        "geofenceJSON": {
          "type": "Circle",
          "coordinates": [
            10.517064,
            43.675929
          ],
          "radius": 100
        }
      },
      "when": {
        "createdAt": "2022-10-04T15:43:25Z",
        "createdAtLocal": "2022-10-04T17:43:25Z",
        "timezone": "Europe/Rome"
      }
    },
    {
      "customerId": "8e62ca2305981e75854dcba1b6491bf5",
      "event": {
        "type": "geo_arriving",
        "id": "8634d19a67f96d95d6154d31ea18effbg",
        "visit": {
          "startAt": "2022-10-04T15:43:41Z",
          "startAtLocal": "2022-10-04T17:43:41Z",
          "timezone": "Europe/Rome",
          "properties": {
            "appId": "62d86f755d146f00012297ea",
            "appBundle": "com.cloud4wi.toolkit",
            "projectId": "62d86f0068c4fc0001c4d63f",
            "appOs": "android"
          }
        }
      },
      "where": {
        "geofenceName": "Emi home",
        "geofenceMetadata": [],
        "geofenceId": "968bb2b8184f46af916e27aa619791f2",
        "geofenceExtId": "Emilia",
        "geofenceJSON": {
          "type": "Circle",
          "coordinates": [
            10.517064,
            43.675929
          ],
          "radius": 100
        }
      },
      "when": {
        "createdAt": "2022-10-04T15:43:41Z",
        "createdAtLocal": "2022-10-04T17:43:41Z",
        "timezone": "Europe/Rome"
      }
    },
    {
      "customerId": "8e62ca2305981e75854dcba1b6491bf5",
      "event": {
        "type": "geo_visit",
        "id": "200cf048d1386556ab29c0ba119cc3f5g",
        "visit": {
          "startAt": "2022-10-04T15:43:41Z",
          "startAtLocal": "2022-10-04T17:43:41Z",
          "timezone": "Europe/Rome",
          "duration": 85,
          "properties": {
            "appId": "62d86f755d146f00012297ea",
            "appBundle": "com.cloud4wi.toolkit",
            "projectId": "62d86f0068c4fc0001c4d63f",
            "appOs": "android"
          }
        }
      },
      "where": {
        "geofenceName": "Emi home",
        "geofenceMetadata": [],
        "geofenceId": "968bb2b8184f46af916e27aa619791f2",
        "geofenceExtId": "Emilia",
        "geofenceJSON": {
          "type": "Circle",
          "coordinates": [
            10.517064,
            43.675929
          ],
          "radius": 100
        }
      },
      "when": {
        "createdAt": "2022-10-04T17:09:10Z",
        "createdAtLocal": "2022-10-04T19:09:10Z",
        "timezone": "Europe/Rome"
      }
    },
    {
      "customerId": "8e62ca2305981e75854dcba1b6491bf5",
      "event": {
        "type": "geo_arriving",
        "id": "24335a5ae56255b68bb68a34f90d6cb6g",
        "visit": {
          "startAt": "2022-10-04T18:48:41Z",
          "startAtLocal": "2022-10-04T20:48:41Z",
          "timezone": "Europe/Rome",
          "properties": {
            "appId": "62d86f755d146f00012297ea",
            "appBundle": "com.cloud4wi.toolkit",
            "projectId": "62d86f0068c4fc0001c4d63f",
            "appOs": "android"
          }
        }
      },
      "where": {
        "geofenceName": "Emi home",
        "geofenceMetadata": [],
        "geofenceId": "968bb2b8184f46af916e27aa619791f2",
        "geofenceExtId": "Emilia",
        "geofenceJSON": {
          "type": "Circle",
          "coordinates": [
            10.517064,
            43.675929
          ],
          "radius": 100
        }
      },
      "when": {
        "createdAt": "2022-10-04T18:48:41Z",
        "createdAtLocal": "2022-10-04T20:48:41Z",
        "timezone": "Europe/Rome"
      }
    },
    {
      "customerId": "8e62ca2305981e75854dcba1b6491bf5",
      "event": {
        "type": "geo_visit",
        "id": "e2b34225b2572f19d818094fa48de580g",
        "visit": {
          "startAt": "2022-10-04T18:48:41Z",
          "startAtLocal": "2022-10-04T20:48:41Z",
          "timezone": "Europe/Rome",
          "duration": 659,
          "properties": {
            "appId": "62d86f755d146f00012297ea",
            "appBundle": "com.cloud4wi.toolkit",
            "projectId": "62d86f0068c4fc0001c4d63f",
            "appOs": "android"
          }
        }
      },
      "where": {
        "geofenceName": "Emi home",
        "geofenceMetadata": [],
        "geofenceId": "968bb2b8184f46af916e27aa619791f2",
        "geofenceExtId": "Emilia",
        "geofenceJSON": {
          "type": "Circle",
          "coordinates": [
            10.517064,
            43.675929
          ],
          "radius": 100
        }
      },
      "when": {
        "createdAt": "2022-10-05T05:47:59Z",
        "createdAtLocal": "2022-10-05T07:47:59Z",
        "timezone": "Europe/Rome"
      }
    },
    {
      "customerId": "8e62ca2305981e75854dcba1b6491bf5",
      "event": {
        "type": "geo_arriving",
        "id": "95e3124a20b3b1d5a7380af3b53fa212g",
        "visit": {
          "startAt": "2022-10-05T07:27:26Z",
          "startAtLocal": "2022-10-05T09:27:26Z",
          "timezone": "Europe/Rome",
          "properties": {
            "appId": "62d86f755d146f00012297ea",
            "appBundle": "com.cloud4wi.toolkit",
            "projectId": "62d86f0068c4fc0001c4d63f",
            "appOs": "android"
          }
        }
      },
      "where": {
        "geofenceName": "Emi home",
        "geofenceMetadata": [],
        "geofenceId": "968bb2b8184f46af916e27aa619791f2",
        "geofenceExtId": "Emilia",
        "geofenceJSON": {
          "type": "Circle",
          "coordinates": [
            10.517064,
            43.675929
          ],
          "radius": 100
        }
      },
      "when": {
        "createdAt": "2022-10-05T07:27:26Z",
        "createdAtLocal": "2022-10-05T09:27:26Z",
        "timezone": "Europe/Rome"
      }
    }
  ]
}



```

&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://create.cloud4wi.ai/dev-hub/api-reference/getting-started/events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
